Table of Contents

## Name

im_vips2mask, im_mask2vips - convert between masks and images

## Synopsis

#include <vips/vips.h>

DOUBLEMASK *im_vips2mask( IMAGE *in, char *out_name )

int im_mask2vips( DOUBLEMASK *in, IMAGE *out )

## Description

im_vips2mask() returns a DOUBLEMASK of name out_name containing the data from IMAGE in. One band FMTDOUBLE images only. Returns NULL on error, and a new mask on success. The scale field is set to 1.0 and the offset to 0.0.

im_mask2vips() writes the doubles held in mask in to the IMAGE out. It creates a one-band image of the same size as in. It returns 0 on success and -1 on error. The scale and offset fields are ignored.

## See Also

im_openin(3) , im_openout(3) , im_setbuf(3) , edvips(3) , im_create_dmask(3) .

## Copyright

National Gallery, 1994

Table of Contents

- Name
- Synopsis
- Description
- See Also
- Copyright